# encoding: utf-8
import numpy
import sys
import cuboide

if len( sys.argv ) != 10 :
	# o punto a donde ve la cámara
	# c centro de la cámara
	# a vector de arriba
	print "Args: ox oy oz cx cy cz ax ay az"
	sys.exit(1)

vo = numpy.array( [ float(sys.argv[1]), float(sys.argv[2]), float(sys.argv[3]) ] )
vc = numpy.array( [ float(sys.argv[4]), float(sys.argv[5]), float(sys.argv[6]) ] )
va = numpy.array( [ float(sys.argv[7]), float(sys.argv[8]), float(sys.argv[9]) ] )

cubo1 = cuboide.Cuboide( )
cubo2 = cuboide.Cuboide( )

cubo1.Crea( [0.0, 0.0, 0.0], [4.0, 1.0, 3.0] )
cubo2.Crea( [3.0, 1.0, 0.0], [4.0, 3.0, 1.0] )

# cubo1.Dibuja3D( )
# cubo2.Dibuja3D( )

cubo1.Proyecta( vo, vc, va )
cubo2.Proyecta( vo, vc, va )
 
cubo1.Dibuja2D( )
cubo2.Dibuja2D( )
